{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, update_index\r\ndeclare function entid, repository, set_property, get_property, fieldcount\r\ndeclare function send_event\r\n$insert rlist_equates\r\n$insert popup_equates\r\n\r\nStmt = 'SELECT REACT_PROBS BY DESCRIPTION'\r\nrlist( Stmt, target_activelist$, '', '', '' )\r\nif @reccount then\r\n    PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_REACT_PROBS' )\r\n    OverRide = ''\r\n    OverRide<pselect$> = 2\r\n    RetVals = repository( 'EXECUTE', PopupRec, @window, OverRide )\r\n    if RetVals then\r\n       convert @vm to @fm in RetVals\r\n       if fieldcount( RetVals, @fm ) > 1 then\r\n           Void = set_property( @window, 'QBFLIST', RetVals )\r\n           Void = set_property( @window, '@NoRead', 1 ) \r\n           .problem_id->text = RetVals<1> \r\n           Void = send_event( @window, 'READ' )\r\n\t       Void = set_property( @window, '@NoRead', 0 )\r\n       end else\r\n           .problem_id->text = RetVals\r\n           Void = send_event( @window:'.PROBLEM_ID', 'LOSTFOCUS', '' )\r\n       end\r\n    end\r\nend \r\nRETURN 0"
        }
    }
}